# std::basic_string::empty

From cppreference.com
< cpp‎ | string‎ | basic string

bool empty() const; |  |

Checks if the string has no characters, i.e. whether begin() == end().

### Parameters

(none)

### Return value

true if the string is empty, false otherwise

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### Complexity

Constant.

### Example

Run this code

    #include <iostream>
    #include <string>

    int main()
    {
        std::string s;
        std::boolalpha(std::cout);
        std::cout << "s.empty():" << s.empty() << "\t s:'" << s << "'\n";

        s = "Exemplar";
        std::cout << "s.empty():" << s.empty() << "\t s:'" << s << "'\n";

        s = "";
        std::cout << "s.empty():" << s.empty() << "\t s:'" << s << "'\n";
    }

Output:

    s.empty():true	 s:''
    s.empty():false	 s:'Exemplar'
    s.empty():true	 s:''

### See also

size length | returns the number of characters (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string/empty&oldid=91684"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template